Subject: RE: [Ips] iSCSI protocol - use of SendTargets

From: "Sandars, Ken" <[email-masked]>
Date: Sun, 1 Jul 2007 14:35:36 -0700

Hi Julo,
 
I don't know how many third party iSCSI 'Big Dummies' guides are out
there, however, since RFC3720 succinctly describes the fundamentals of
the iSCSI model I recommended that as the first choice.
 
I'd have no objection if the author of RFC3720 wanted to advertise his
publication here! ;-)
 
Cheers
Ken

________________________________

From: Julian Satran [mailto:[email-masked]] 
Sent: Saturday, 30 June 2007 19:04
To: Eddy Quicksall
Cc: [email-masked]; Sandars, Ken; Parav Pandit
Subject: Re: [Ips] iSCSI protocol - use of SendTargets

Ken - what exactly does "Before any author shamelessly plugs their iSCSI
publications, I suggest you have a quick re-read of RFC3720. " reffer
to? - Julo 

"Eddy Quicksall" <[email-masked]> 

29/06/07 15:24 

To
"Sandars, Ken" <[email-masked]>, "Parav Pandit"
<[email-masked]>, <[email-masked]> 
cc
Subject
Re: [Ips] iSCSI protocol - use of SendTargets

I agree with Ken on the reading below. You may have alredy figured this
out but just to try to give a simple answer to your question ... suppose
you have built a box that has several targets each with different ip
addresses; the user at the initiator could just give one of the ip
addresses as the "discovery address"; this could be the address of only
one of the targets; the initiator can then log on as a discovery session
using that address and use SendTargets to find the names and addresses
of all targets. 
  
Eddy 
----- Original Message ----- 
From: Sandars, Ken <mailto:[email-masked]>  
To: Parav Pandit <mailto:[email-masked]>  ; [email-masked]
<mailto:[email-masked]>  
Sent: Thursday, June 07, 2007 5:58 PM 
Subject: RE: [Ips] iSCSI protocol - use of SendTargets 

Hi Parav, 
  
Before any author shamelessly plugs their iSCSI publications, I suggest
you have a quick re-read of RFC3720. 
  
In particular, section 3.4 pages 37-40 cover some really important
concepts that I think will help your understanding. Then jump to the
start of section 3, page 17 for more concepts and definitions. 
  
The specifics of the SendTargets command are in Appendix D. 
  
HTH 
Ken 

________________________________

From: Parav Pandit [mailto:[email-masked]] 
Sent: Thursday, 7 June 2007 22:41
To: [email-masked]
Subject: [Ips] iSCSI protocol - use of SendTargets

Hi,

I am new to iSCSI protocol and gearing up.
Is this the right mailing list to ask questions related to  iSCSI
protocol?

if yes,

1.  iSCSI target is identified by the network portal (IP + port).
So once the iSCSI target is identified by the network portal and Login
to it is successful, why do we need to ask for SendTargets command?
TargetName and TargetAddress returned are immaterial (because we already
know the target address to which we have logged-in), unless there are
multiple addresses for them and failover is required used.
Or it is used for communicating different TCP port on which initiators
can send TUR, Inquiry, Read, Write commands?

What is the expected information from the target in response to
SendTargets command?

Regards,
Parav Pandit

________________________________

It's here! Your new message!
Get new email alerts
<http://us.rd.yahoo.com/evt=49938/*http://tools.search.yahoo.com/toolbar
/features/mail/>  with the free Yahoo! Toolbar.
<http://us.rd.yahoo.com/evt=49938/*http://tools.search.yahoo.com/toolbar
/features/mail/>  

________________________________

_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips______________________________
_________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips

_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips

---

From: Julian Satran <[email-masked]>
Date: Mon, 2 Jul 2007 08:54:42 +0300

Hard to comment on your statement. Sounds more like a group "denigration" 
of the authors - and I don't know about any of us doing what you suggest.
I am a bit uneasy about this statement - to say the least.

Julo

"Sandars, Ken" <[email-masked]> 
02/07/07 00:35

To
Julian Satran/Haifa/IBM@IBMIL, "Eddy Quicksall" 
<[email-masked]>
cc
<[email-masked]>, "Parav Pandit" <[email-masked]>
Subject
RE: [Ips] iSCSI protocol - use of SendTargets

Hi Julo,
 
I don't know how many third party iSCSI 'Big Dummies' guides are out 
there, however, since RFC3720 succinctly describes the fundamentals of the 
iSCSI model I recommended that as the first choice.

Cheers
Ken

Ken - what exactly does "Before any author shamelessly plugs their iSCSI 
publications, I suggest you have a quick re-read of RFC3720. " reffer to? 
- Julo 

To

Subject

using that address and use SendTargets to find the names and addresses of 
all targets. 
  
Eddy 
----- Original Message ----- 
From: Sandars, Ken 
To: Parav Pandit ; [email-masked] 
Sent: Thursday, June 07, 2007 5:58 PM 
Subject: RE: [Ips] iSCSI protocol - use of SendTargets 

Hi Parav, 

In particular, section 3.4 pages 37-40 cover some really important 
concepts that I think will help your understanding. Then jump to the start 
of section 3, page 17 for more concepts and definitions. 

HTH 
Ken 

Hi,

if yes,

1.  iSCSI target is identified by the network portal (IP + port).
So once the iSCSI target is identified by the network portal and Login to 
it is successful, why do we need to ask for SendTargets command?
TargetName and TargetAddress returned are immaterial (because we already 
know the target address to which we have logged-in), unless there are 
multiple addresses for them and failover is required used.
Or it is used for communicating different TCP port on which initiators can 
send TUR, Inquiry, Read, Write commands?

Regards,
Parav Pandit
It's here! Your new message!
Get new email alerts with the free Yahoo! Toolbar.

---

From: Parav Pandit <[email-masked]>
Date: Sun, 1 Jul 2007 23:20:41 -0700 (PDT)

Hi all,

I apologize for asking such basic question on this mailing list. I would read the iSCSI RFC 3720 by myself. 

I thought of sharing and gaining knowledge through this mailing list faster, but now I understand it may not be the perfect for starters.

Thanks a lot for your the kind support, suggestions and information.

Regards,
Parav Pandit

Julian Satran <[email-masked]> wrote:  
Hard to comment on your statement. Sounds more like a group "denigration" of the authors - and I don't know about any of us doing what you suggest. 
I am a bit uneasy about this statement - to say the least. 
 
Julo 

   "Sandars, Ken" <[email-masked]>  02/07/07 00:35 
    To
 Julian Satran/Haifa/IBM@IBMIL, "Eddy Quicksall" <[email-masked]>   cc
 <[email-masked]>, "Parav Pandit" <[email-masked]>   Subject
 RE: [Ips] iSCSI protocol - use of SendTargets 

 
Hi Julo, 
  
I don't know how many third party iSCSI 'Big Dummies' guides are out there, however, since RFC3720 succinctly describes the fundamentals of the iSCSI model I recommended that as the first choice. 
  
I'd have no objection if the author of RFC3720 wanted to advertise his publication here! ;-) 
  
Cheers 
Ken 

---------------------------------

 Ken - what exactly does "Before any author shamelessly plugs their iSCSI publications, I suggest you have a quick re-read of RFC3720. " reffer to? - Julo 
 
    "Eddy Quicksall" <[email-masked]>  29/06/07 15:24  
 
    To
 "Sandars, Ken" <[email-masked]>, "Parav Pandit" <[email-masked]>, <[email-masked]>    cc
  
  Subject

 
 
 I agree with Ken on the reading below. You may have alredy figured this out but just to try to give a simple answer to your question ... suppose you have built a box that has several targets each with different ip addresses; the user at the initiator could just give one of the ip addresses as the "discovery address"; this could be the address of only one of the targets; the initiator can then log on as a discovery session using that address and use SendTargets to find the names and addresses of all targets. 
   
 Eddy 
 ----- Original Message ----- 
 From: Sandars, Ken 
 To: Parav Pandit ; [email-masked] 
 Sent: Thursday, June 07, 2007 5:58 PM 
 Subject: RE: [Ips] iSCSI protocol - use of SendTargets 
 
 Hi Parav, 
   
 Before any author shamelessly plugs their iSCSI publications, I suggest you have a quick re-read of RFC3720. 
   
 In particular, section 3.4 pages 37-40 cover some really important concepts that I think will help your understanding. Then jump to the start of section 3, page 17 for more concepts and definitions. 

 HTH 
 Ken 

---------------------------------
From: Parav Pandit [mailto:[email-masked]] 
 Sent: Thursday, 7 June 2007 22:41
 To: [email-masked]
 Subject: [Ips] iSCSI protocol - use of SendTargets
 
 Hi,
 
 I am new to iSCSI protocol and gearing up.
 Is this the right mailing list to ask questions related to  iSCSI protocol?
 
 if yes,
 
 1.  iSCSI target is identified by the network portal (IP + port).
 So once the iSCSI target is identified by the network portal and Login to it is successful, why do we need to ask for SendTargets command?
 TargetName and TargetAddress returned are immaterial (because we already know the target address to which we have logged-in), unless there are multiple addresses for them and failover is required used.
 Or it is used for communicating different TCP port on which initiators can send TUR, Inquiry, Read, Write commands?
 
 What is the expected information from the target in response to SendTargets command?
 
 Regards,
 Parav Pandit  

---------------------------------
It's here! Your new message!
 Get new email alerts with the free Yahoo! Toolbar.   

---------------------------------
 _______________________________________________
 Ips mailing list
 [email-masked]
 https://www1.ietf.org/mailman/listinfo/ips_______________________________________________
 Ips mailing list
 [email-masked]
 https://www1.ietf.org/mailman/listinfo/ips 

---------------------------------
Need a vacation? Get great deals to amazing places on Yahoo! Travel.

---

From: "Eddy Quicksall" <[email-masked]>
Date: Mon, 2 Jul 2007 08:47:02 -0400

For myself, I don't mind such questions. In this case I think your basic question was "why" not "how".

Eddy
  ----- Original Message ----- 
  From: Parav Pandit 
  To: Julian Satran ; Sandars, Ken 
  Cc: [email-masked] ; Parav Pandit ; Eddy Quicksall 
  Sent: Monday, July 02, 2007 2:20 AM
  Subject: RE: [Ips] iSCSI protocol - use of SendTargets

  Hi all,

  Regards,
  Parav Pandit

    Julo 

          "Sandars, Ken" <[email-masked]> 
          02/07/07 00:35  To Julian Satran/Haifa/IBM@IBMIL, "Eddy Quicksall" <[email-masked]>  
                cc <[email-masked]>, "Parav Pandit" <[email-masked]>  
                Subject RE: [Ips] iSCSI protocol - use of SendTargets 

         

    Hi Julo, 

      
    Cheers 
    Ken 

----------------------------------------------------------------------------

          "Eddy Quicksall" <[email-masked]> 
          29/06/07 15:24  
                To "Sandars, Ken" <[email-masked]>, "Parav Pandit" <[email-masked]>, <[email-masked]>  
                cc 
               
                Subject Re: [Ips] iSCSI protocol - use of SendTargets 

         

    Eddy 
    ----- Original Message ----- 
    From: Sandars, Ken 
    To: Parav Pandit ; [email-masked] 
    Sent: Thursday, June 07, 2007 5:58 PM 
    Subject: RE: [Ips] iSCSI protocol - use of SendTargets 

    Hi Parav, 

     
     
    HTH 
    Ken 

----------------------------------------------------------------------------
    From: Parav Pandit [mailto:[email-masked]] 
    Sent: Thursday, 7 June 2007 22:41
    To: [email-masked]
    Subject: [Ips] iSCSI protocol - use of SendTargets

    Hi,

    if yes,

    Regards,
    Parav Pandit 

----------------------------------------------------------------------------
    It's here! Your new message!
    Get new email alerts with the free Yahoo! Toolbar. 

----------------------------------------------------------------------------

------------------------------------------------------------------------------
  Need a vacation? Get great deals to amazing places on Yahoo! Travel.

---

From: Julian Satran <[email-masked]>
Date: Mon, 2 Jul 2007 17:00:59 +0300

Parav,

Nobody minds any sort of question. As for me getting annoyed it was just 
about an unwarranted innuendo by Ken.

Julo

Parav Pandit <[email-masked]> 
02/07/07 09:20

To
Julian Satran/Haifa/IBM@IBMIL, "Sandars, Ken" <[email-masked]>
cc
[email-masked], Parav Pandit <[email-masked]>, Eddy Quicksall 
<[email-masked]>
Subject
RE: [Ips] iSCSI protocol - use of SendTargets

Hi all,

I apologize for asking such basic question on this mailing list. I would 
read the iSCSI RFC 3720 by myself. 

I thought of sharing and gaining knowledge through this mailing list 
faster, but now I understand it may not be the perfect for starters.

Regards,
Parav Pandit

Julo 

To

Hi Julo, 

  
Cheers 
Ken 

To

Subject

Eddy 
----- Original Message ----- 
From: Sandars, Ken 
To: Parav Pandit ; [email-masked] 
Sent: Thursday, June 07, 2007 5:58 PM 
Subject: RE: [Ips] iSCSI protocol - use of SendTargets 

Hi Parav, 

 
 
HTH 
Ken 

Hi,

if yes,

Regards,
Parav Pandit

---

From: "Sandars, Ken" <[email-masked]>
Date: Mon, 2 Jul 2007 14:14:58 -0700

Hi all,
 
Unfortunately my innuendo was poorly worded, so I apologize to all
readers on this list who took offence at my comments since the intent
was not malicious or disrespectful.
 
Parav, did the specific sections I pointed out help with your
understanding? If you have anything you are not sure of this is the
forum to ask in.
 
Cheers
Ken

From: Julian Satran [mailto:[email-masked]] 
Sent: Tuesday, 3 July 2007 00:01
To: Parav Pandit
Cc: [email-masked]; Sandars, Ken; Parav Pandit; Eddy Quicksall
Subject: RE: [Ips] iSCSI protocol - use of SendTargets

Parav, 

Julo 

02/07/07 09:20 

To

Hi all,

Regards,
Parav Pandit

Hard to comment on your statement. Sounds more like a group
"denigration" of the authors - and I don't know about any of us doing
what you suggest. 
I am a bit uneasy about this statement - to say the least. 

Julo 

	

Hi Julo, 

 
Cheers 
Ken 

To

Eddy 
----- Original Message ----- 
From: Sandars, Ken <mailto:[email-masked]>  
To: Parav Pandit <mailto:[email-masked]>  ; [email-masked]
<mailto:[email-masked]>  

Hi Parav, 

HTH 
Ken 

Hi,

if yes,

Regards,
Parav Pandit 

Need a vacation? Get great deals to amazing places
<http://us.rd.yahoo.com/evt=48256/*http://travel.yahoo.com/;_ylc=X3oDMTF
hN2hucjlpBF9TAzk3NDA3NTg5BHBvcwM1BHNlYwNncm91cHMEc2xrA2VtYWlsLW5jbQ-->
on Yahoo! Travel.